curl --request PUT \
--url https://dev.flextell.ai/api/v1/settings/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>",
"ai_agent_enabled": true,
"pre_booking_requirements": {
"enabled": true
},
"customer_forms": {
"default_template_id": 123
},
"ai_agent_schedule": [
{
"day": "monday",
"start_time": "<string>",
"end_time": "<string>"
}
]
}
'{
"success": "<string>",
"data": {
"prefix": "<string>",
"settings": [
"<unknown>"
]
}
}The access token received from the authorization server in the OAuth 2.0 flow.
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
curl --request PUT \
--url https://dev.flextell.ai/api/v1/settings/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>",
"ai_agent_enabled": true,
"pre_booking_requirements": {
"enabled": true
},
"customer_forms": {
"default_template_id": 123
},
"ai_agent_schedule": [
{
"day": "monday",
"start_time": "<string>",
"end_time": "<string>"
}
]
}
'{
"success": "<string>",
"data": {
"prefix": "<string>",
"settings": [
"<unknown>"
]
}
}